#
# spec file for package xvhelp (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xview xview-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared xview xview-devel

Name:         xvhelp
Copyright:    Public Domain
Group:        X11/Applications
Provides:     XVhelp xvhelp10
Autoreqprov:  on
Version:      1.0
Release:      407
Summary:      A help system based on Openlook
Source: XVhelp-1.00.tar.gz
Patch: XVhelp-1.00.dif

%description
This package includes a help browser (xvhelp - similar to the MS Windows
Help system) and a compiler (hcc) to create your own help files. This version
of xvhelp uses /usr/openwin/lib/help as the directory for help files.
Documentation: /usr/share/doc/packages/xvhelp

Authors:
--------
    Roberto Surlinelli
    Luca Maranzano
    Guido Cardino <calamaro@dist.dist.unige.it>

SuSE series: xap

%prep
%setup -n XVhelp-1.00
%patch
rm -f datastr.a

%build
make

%install
make install
mkdir -p /usr/openwin/lib/help
cp -a help.h?? /usr/openwin/lib/help/

%files
%doc *README*
%dir /usr/openwin/lib
/usr/openwin/lib/help
/usr/X11R6/bin/hcc
/usr/X11R6/bin/xvhelp

%changelog -n xvhelp
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <xv32base> to <xview>
- changed neededforbuild <xv32dev> to <xview-devel>
* Tue Oct 31 2000 - ma@suse.de
- removed group unsorted
* Tue May 30 2000 - ro@suse.de
- specfile cleanup
- doc relocation
* Tue Feb 15 2000 - aj@suse.de
- Use RPM_OPT_FLAGS for CFLAGS.
* Tue Sep 21 1999 - uli@suse.de
- fixed Makefile for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 02 1999 - ro@suse.de
- no m486 on alpha
* Sun Oct 12 1997 - fehr@suse.de
- prepare package for automatic build
- changed package name to xvhelp
